import { EventEmitter, TemplateRef } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { ISelectOption } from '@metad/ocap-angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@metad/ocap-angular/core";
export declare class NgmInputComponent implements ControlValueAccessor {
    readonly label: import("@angular/core").InputSignal<string>;
    readonly placeholder: import("@angular/core").InputSignal<string>;
    readonly type: import("@angular/core").InputSignal<string>;
    defaultValue: any;
    valueKey: string;
    readonly displayDensity: import("@angular/core").InputSignal<string>;
    readonly options: import("@angular/core").InputSignal<ISelectOption<unknown>[]>;
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, string | boolean>;
    readonly _disabled: import("@angular/core").WritableSignal<boolean>;
    readonly simple: import("@angular/core").InputSignalWithTransform<boolean, string | boolean>;
    blur: EventEmitter<any>;
    /**
     * Template provided in the tab content that will be used if present, used to enable lazy-loading
     */
    _explicitContent: TemplateRef<any>;
    get value(): any;
    set value(value: any);
    private readonly _value;
    readonly searchControl: FormControl<any>;
    get highlight(): any;
    private _onChange;
    private _onTouched;
    readonly options$: import("rxjs").Observable<ISelectOption<unknown>[]>;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onChange(event: any): void;
    onOptionSelected(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmInputComponent, "ngm-input", never, { "label": { "alias": "label"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "type": { "alias": "type"; "required": false; "isSignal": true; }; "defaultValue": { "alias": "defaultValue"; "required": false; }; "valueKey": { "alias": "valueKey"; "required": false; }; "displayDensity": { "alias": "displayDensity"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "simple": { "alias": "simple"; "required": false; "isSignal": true; }; }, { "blur": "blur"; }, ["_explicitContent"], ["[ngmSuffix]", "[ngmError]"], true, [{ directive: typeof i1.NgmDensityDirective; inputs: { "small": "small"; "large": "large"; }; outputs: {}; }]>;
}
